2024-05-18 03:38 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005959BardsTale[All Projects] Generalpublic2022-12-29 19:50
Reporteraardvark82 
Assigned ToStingRayProject InfoBards Tale (Interplay)
http://www.whdload.de/games/BardsTale.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0005959: Glithed audio with Cache
DescriptionGame is very slow on 060 unless cache is enabled, but this garbles the music.
Steps To ReproduceReproducible on WinUAE with "chipset_hacks=0x8"
TagsNo tags attached.
MachineA1200
CPU68060
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.2
KickROM47 - Kick 3.2
KickSoft47 - Kick 3.2
WHDLoad18.7
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0012218

StingRay (developer)

Last edited: 2022-12-29 16:08

View 2 revisions

Could not reproduce the problem in WinUAE despite setting chipset_hacks = 0x8 in WinUAE.ini but found a CPU dependent delay loop in the replayer and fixed it. Try attached slave, is the music replayed properly with CACHE set now?

note ~0012227

aardvark82 (reporter)

chipset_hacks = 0x8 is inserted in .uae config file, it has no effect in winuae.ini.
Anyway, the new slave has fixed the music with cache, thank you very much!

note ~0012228

StingRay (developer)

Last edited: 2022-12-29 19:37

View 2 revisions

Thanks for the fast feedback, I meanwhile checked the UAE docs and noticed that chipset_hacks has to be added to the configuration. :)

I'll create an updated package, your other request regarding the gold of the party will be tackled later, I first need to make up my mind if I want to add trainers to a roleplaying game.

note ~0012229

StingRay (developer)

Updated patch is now available.
+Notes

-Issue History
Date Modified Username Field Change
2022-12-28 07:35 aardvark82 New Issue
2022-12-28 11:28 StingRay Assigned To => StingRay
2022-12-28 11:28 StingRay Status new => assigned
2022-12-29 16:06 StingRay File Added: BardsTale.slave
2022-12-29 16:07 StingRay Note Added: 0012218
2022-12-29 16:08 StingRay Note Edited: 0012218 View Revisions
2022-12-29 19:31 aardvark82 Note Added: 0012227
2022-12-29 19:36 StingRay Note Added: 0012228
2022-12-29 19:37 StingRay Note Edited: 0012228 View Revisions
2022-12-29 19:50 StingRay Status assigned => resolved
2022-12-29 19:50 StingRay Resolution open => fixed
2022-12-29 19:50 StingRay Note Added: 0012229
+Issue History